Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class StringValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.StringValue

All Implemented Interfaces:
  Value

Direct Known Subclasses:
  URIValue

    public class StringValue

extends AbstractValue

This class represents string values.

Field Summary
`protected short` | `unitType` The unit type
`protected String` | `value` The value of the string

Constructor Summary
`StringValue(short type, String s)` Creates a new StringValue.

Method Summary
`boolean` | `equals(Object obj)` Indicates whether some other object is "equal to" this one.
`String` | `getCssText()` A string representation of the current value.
`static String` | `getCssText(short type, String value)` Returns the CSS text associated with the given type/value pair.
`short` | `getPrimitiveType()` The type of the value.
`String` | `getStringValue()` This method is used to get the string value.
`String` | `toString()` Returns a printable representation of this value.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getRed, getRight, getSeparator, getTop, item`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected String value

  The value of the string

### unitType

    protected short unitType

  The unit type

Constructor Detail

### StringValue

    public StringValue(short type,
                       String s)

  Creates a new StringValue.

Method Detail

### getCssText

    public static String getCssText(short type,
                                    String value)

  Returns the CSS text associated with the given type/value pair.

### getPrimitiveType

    public short getPrimitiveType()

  The type of the value.

  Specified by:
    `getPrimitiveType` in interface `Value`
  Overrides:
    `getPrimitiveType` in class `AbstractValue`

### equals

    public boolean equals(Object obj)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the reference object with which to compare.

### getCssText

    public String getCssText()

  A string representation of the current value.

### getStringValue

    public String getStringValue()
                          throws DOMException

  This method is used to get the string value.

  Specified by:
    `getStringValue` in interface `Value`
  Overrides:
    `getStringValue` in class `AbstractValue`
  Throws:
    `DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a string value.

### toString

    public String toString()

  Returns a printable representation of this value.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.